rake/db: migrate problems with upgrade to 2.0.3

Added by Phil Schroeder over 5 years ago

Hi,

I'm trying to upgrade from 1.3.1 to 2.0.3 on a CentOS5.3 box. This meant having to move rails up from 2.3.14 to 3.2.6. I'm not a Ruby guy by any means, just a lowly sysadmin, so when I saw the error I'm about to paste I knew I was in for a long upgrade:

# rake db:migrate RAILS_ENV=production 
rake aborted!
uninitialized constant ActionDispatch::Routing::Routes

Tasks: TOP => db:migrate => environment
(See full trace by running task with --trace)

when run with --trace, I get:

 rake db:migrate RAILS_ENV=production --trace
** Invoke db:migrate (first_time)
** Invoke environment (first_time)
** Execute environment
rake aborted!
uninitialized constant ActionDispatch::Routing::Routes
/var/www/redmine-2.0.3/plugins/embedded/init.rb:27
/var/www/redmine-2.0.3/lib/redmine/plugin.rb:129:in `load'
/var/www/redmine-2.0.3/lib/redmine/plugin.rb:120:in `each'
/var/www/redmine-2.0.3/lib/redmine/plugin.rb:120:in `load'
/var/www/redmine-2.0.3/config/initializers/30-redmine.rb:13
/usr/local/lib/ruby/gems/1.8/gems/railties-3.2.6/lib/rails/engine.rb:588
/usr/local/lib/ruby/gems/1.8/gems/railties-3.2.6/lib/rails/engine.rb:587:in `each'
/usr/local/lib/ruby/gems/1.8/gems/railties-3.2.6/lib/rails/engine.rb:587
/usr/local/lib/ruby/gems/1.8/gems/railties-3.2.6/lib/rails/initializable.rb:30:in `instance_exec'
/usr/local/lib/ruby/gems/1.8/gems/railties-3.2.6/lib/rails/initializable.rb:30:in `run'
/usr/local/lib/ruby/gems/1.8/gems/railties-3.2.6/lib/rails/initializable.rb:55:in `run_initializers'
/usr/local/lib/ruby/gems/1.8/gems/railties-3.2.6/lib/rails/initializable.rb:54:in `each'
/usr/local/lib/ruby/gems/1.8/gems/railties-3.2.6/lib/rails/initializable.rb:54:in `run_initializers'
/usr/local/lib/ruby/gems/1.8/gems/railties-3.2.6/lib/rails/application.rb:136:in `initialize!'
/usr/local/lib/ruby/gems/1.8/gems/railties-3.2.6/lib/rails/railtie/configurable.rb:30:in `send'
/usr/local/lib/ruby/gems/1.8/gems/railties-3.2.6/lib/rails/railtie/configurable.rb:30:in `method_missing'
/var/www/redmine-2.0.3/config/environment.rb:14
/usr/local/lib/ruby/gems/1.8/gems/railties-3.2.6/lib/rails/application.rb:103:in `require'
/usr/local/lib/ruby/gems/1.8/gems/railties-3.2.6/lib/rails/application.rb:103:in `require_environment!'
/usr/local/lib/ruby/gems/1.8/gems/railties-3.2.6/lib/rails/application.rb:292:in `initialize_tasks'
/usr/local/lib/ruby/gems/1.8/gems/rake-0.9.2.2/lib/rake/task.rb:205:in `call'
/usr/local/lib/ruby/gems/1.8/gems/rake-0.9.2.2/lib/rake/task.rb:205:in `execute'
/usr/local/lib/ruby/gems/1.8/gems/rake-0.9.2.2/lib/rake/task.rb:200:in `each'
/usr/local/lib/ruby/gems/1.8/gems/rake-0.9.2.2/lib/rake/task.rb:200:in `execute'
/usr/local/lib/ruby/gems/1.8/gems/rake-0.9.2.2/lib/rake/task.rb:158:in `invoke_with_call_chain'
/usr/local/lib/ruby/1.8/monitor.rb:242:in `synchronize'
/usr/local/lib/ruby/gems/1.8/gems/rake-0.9.2.2/lib/rake/task.rb:151:in `invoke_with_call_chain'
/usr/local/lib/ruby/gems/1.8/gems/rake-0.9.2.2/lib/rake/task.rb:176:in `invoke_prerequisites'
/usr/local/lib/ruby/gems/1.8/gems/rake-0.9.2.2/lib/rake/task.rb:174:in `each'
/usr/local/lib/ruby/gems/1.8/gems/rake-0.9.2.2/lib/rake/task.rb:174:in `invoke_prerequisites'
/usr/local/lib/ruby/gems/1.8/gems/rake-0.9.2.2/lib/rake/task.rb:157:in `invoke_with_call_chain'
/usr/local/lib/ruby/1.8/monitor.rb:242:in `synchronize'
/usr/local/lib/ruby/gems/1.8/gems/rake-0.9.2.2/lib/rake/task.rb:151:in `invoke_with_call_chain'
/usr/local/lib/ruby/gems/1.8/gems/rake-0.9.2.2/lib/rake/task.rb:144:in `invoke'
/usr/local/lib/ruby/gems/1.8/gems/rake-0.9.2.2/lib/rake/application.rb:116:in `invoke_task'
/usr/local/lib/ruby/gems/1.8/gems/rake-0.9.2.2/lib/rake/application.rb:94:in `top_level'
/usr/local/lib/ruby/gems/1.8/gems/rake-0.9.2.2/lib/rake/application.rb:94:in `each'
/usr/local/lib/ruby/gems/1.8/gems/rake-0.9.2.2/lib/rake/application.rb:94:in `top_level'
/usr/local/lib/ruby/gems/1.8/gems/rake-0.9.2.2/lib/rake/application.rb:133:in `standard_exception_handling'
/usr/local/lib/ruby/gems/1.8/gems/rake-0.9.2.2/lib/rake/application.rb:88:in `top_level'
/usr/local/lib/ruby/gems/1.8/gems/rake-0.9.2.2/lib/rake/application.rb:66:in `run'
/usr/local/lib/ruby/gems/1.8/gems/rake-0.9.2.2/lib/rake/application.rb:133:in `standard_exception_handling'
/usr/local/lib/ruby/gems/1.8/gems/rake-0.9.2.2/lib/rake/application.rb:63:in `run'
/usr/local/lib/ruby/gems/1.8/gems/rake-0.9.2.2/bin/rake:33
/usr/local/bin/rake:19:in `load'
/usr/local/bin/rake:19
Tasks: TOP => db:migrate => environment

Can anyone lead me in the right direction? Even if I try to run the script/about program, I get errors:

# RAILS_ENV=production script/about
/var/www/redmine-2.0.3/plugins/embedded/init.rb:27: uninitialized constant ActionDispatch::Routing::Routes (NameError)
    from /var/www/redmine-2.0.3/lib/redmine/plugin.rb:129:in `load'
    from /var/www/redmine-2.0.3/lib/redmine/plugin.rb:120:in `each'
    from /var/www/redmine-2.0.3/lib/redmine/plugin.rb:120:in `load'
    from /var/www/redmine-2.0.3/config/initializers/30-redmine.rb:13
    from /usr/local/lib/ruby/gems/1.8/gems/railties-3.2.6/lib/rails/engine.rb:588
    from /usr/local/lib/ruby/gems/1.8/gems/railties-3.2.6/lib/rails/engine.rb:587:in `each'
    from /usr/local/lib/ruby/gems/1.8/gems/railties-3.2.6/lib/rails/engine.rb:587
    from /usr/local/lib/ruby/gems/1.8/gems/railties-3.2.6/lib/rails/initializable.rb:30:in `instance_exec'
    from /usr/local/lib/ruby/gems/1.8/gems/railties-3.2.6/lib/rails/initializable.rb:30:in `run'
    from /usr/local/lib/ruby/gems/1.8/gems/railties-3.2.6/lib/rails/initializable.rb:55:in `run_initializers'
    from /usr/local/lib/ruby/gems/1.8/gems/railties-3.2.6/lib/rails/initializable.rb:54:in `each'
    from /usr/local/lib/ruby/gems/1.8/gems/railties-3.2.6/lib/rails/initializable.rb:54:in `run_initializers'
    from /usr/local/lib/ruby/gems/1.8/gems/railties-3.2.6/lib/rails/application.rb:136:in `initialize!'
    from /usr/local/lib/ruby/gems/1.8/gems/railties-3.2.6/lib/rails/railtie/configurable.rb:30:in `send'
    from /usr/local/lib/ruby/gems/1.8/gems/railties-3.2.6/lib/rails/railtie/configurable.rb:30:in `method_missing'
    from /var/www/redmine-2.0.3/config/environment.rb:14
    from script/about:4:in `require'
    from script/about:4

Replies (3)

embedded plugin help (was: rake/db: migrate problems with upgrade to 2.0.3) - Added by Phil Schroeder over 5 years ago

Okay, I see now that this is a problem with the Embedded plugin not being compatible with redmine 2.0.3, per a few other posts out there. Does anyone know if there are plans to bring this plugin along?

RE: rake/db: migrate problems with upgrade to 2.0.3 - Added by Reuben Mallaby over 5 years ago

Hi,
I'm currenty working on a version for Redmine 2 as I use it at work.
I'll put it on github as soon as I can.

(1-3/3)